0

I am having a lot of trouble trying to get the latest version of Dataloader working on my machine. I have downloaded both the newest versions of Java and Zulu JDK on my machine, set the paths and I am receiving an error I've never seen before when running the .bat file.

JAVA_HOME = C:\Program Files\Java\jdk-21

ZULU_JAVA_HOME = C:\Program Files\Zulu\zulu-21

Error I am receiving when running the install.bat file from dataloader:

Data Loader requires Java JRE 17 or later. Checking if it is installed...
java.nio.file.AccessDeniedException: C:\Users\Test%User%20Jr
        at java.base/sun.nio.fs.WindowsException.translateToIOException(WindowsException.java:89)
        at java.base/sun.nio.fs.WindowsException.rethrowAsIOException(WindowsException.java:103)
        at java.base/sun.nio.fs.WindowsException.rethrowAsIOException(WindowsException.java:108)
        at java.base/sun.nio.fs.WindowsFileSystemProvider.createDirectory(WindowsFileSystemProvider.java:527)
        at java.base/java.nio.file.Files.createDirectory(Files.java:699)
        at java.base/java.nio.file.Files.createAndCheckIsDirectory(Files.java:807)
        at java.base/java.nio.file.Files.createDirectories(Files.java:793)
        at com.salesforce.dataloader.util.AppUtil.extractFromJar(AppUtil.java:174)
        at com.salesforce.dataloader.util.LoggingUtil.initializeLog(LoggingUtil.java:89)
        at com.salesforce.dataloader.util.AppUtil.initializeAppConfig(AppUtil.java:113)
        at com.salesforce.dataloader.process.DataLoaderRunner.runApp(DataLoaderRunner.java:94)
        at com.salesforce.dataloader.process.DataLoaderRunner.main(DataLoaderRunner.java:83)
Press any key to continue . . .

2 Answers 2

0

I never figured it out but I went to the github repo and used dataloader_v57.0.1

It installed and worked just fine without changing anything else.

0

Get XL-Connector and forget about struggling forever :)

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .